Package: org.gradle.api.reporting.dependencies

## [Java] Interface DependencyReportContainer

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

  The set of reports that can be generated by the HtmlDependencyReportTask task type.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DirectoryReport` | `getHtml()` The dependency HTML report

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReportContainer` | `getEnabled`
    `interface NamedDomainObjectSet` | `findAll, matching, matching, withType`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public DirectoryReport getHtml()

      The dependency HTML report

      Returns:
        The dependency HTML report